{
    attributes = (
        {
            columnName = "C_COND_RECRUT"; 
            externalType = VARCHAR2; 
            name = cCondRecrut; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "C_TYPE_CONTRAT_TRAV"; 
            externalType = VARCHAR2; 
            name = cTypeContratTrav; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DUREE_MAX_CR"; 
            externalType = NUMBER; 
            name = dureeMaxCr; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_COND_RECRUT"; 
            externalType = NUMBER; 
            name = idCondRecrut; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "L_COND_RECRUT"; 
            externalType = VARCHAR2; 
            name = lCondRecrut; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "TEM_AFFICHE_PROJET"; 
            externalType = CHAR; 
            name = temAfficheProjet; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cTypeContratTrav, 
        cCondRecrut, 
        lCondRecrut, 
        temAfficheProjet, 
        dureeMaxCr, 
        idCondRecrut
    ); 
    className = "org.cocktail.connecteur.common.modele.grhum.nomenclature.EOConditionRecrutement"; 
    classProperties = (
        lCondRecrut, 
        typeContratTravail, 
        cCondRecrut, 
        dureeMaxCr, 
        cTypeContratTrav, 
        idCondRecrut
    ); 
    externalName = "GRHUM.CONDITION_RECRUTEMENT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (lCondRecrut, typeContratTravail, cCondRecrut, dureeMaxCr, cTypeContratTrav); 
    }; 
    name = ConditionRecrutement; 
    primaryKeyAttributes = (idCondRecrut); 
    relationships = (
        {
            destination = TypeContratTravail; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = cTypeContratTrav; sourceAttribute = cTypeContratTrav; }
            ); 
            name = typeContratTravail; 
        }
    ); 
}
